guake(1)

NAME
giws — Generate C++ class wrappers to call Java methods/objects

SYNOPSIS

giws [-hf, --description-file] [-o, --output-dir] [-p, --per-package] [-e, --throws-exception-on-error] [--header-extension-file] [--body-extension-file] [-v, --version] [-h, --help]

DESCRIPTION

 Giws is basically doing the same stuff as SWIG but the opposite.
 Calling Java from C/C++ can be tricky: JNI calls are complicated
 especially when dealing with non primivite types or arrays,
 performance issues must be kept in mind all the time,
 the code can be redundant (checking exceptions, checking returns
 of operations...).
 Giws hides this complexity through a C++ class which wraps the
 Java class.

OPTIONS
-f, --description-file Description of the method of the Java Object.

-o, --output-dir
    The directory where to export files

-p, --per-package
     Generates CXX/HXX files per package

-e, --throws-exception-on-error
    Throws a C++ exception instead of an exit(EXIT_FAILURE)

--header-extension-file
    Specify the extension of the header file generated [Default : .hxx]

--body-extension-file
    Specify the extension of the body file generated [Default : .cpp]

-v --version
    Display the version information

-h --help
    Display the help

AUTHOR
giws was written by Sylvestre Ledru, Vincent Couvert and Jean-Baptiste Silvy

This manual page was written by Sylvestre Ledru <sylvestre.ledru@inria.fr>, for the Debian project (but may be used by others).